package ktgo

import (
	"my/ktgo/pkg/filter"
	"my/ktgo/pkg/storage"
)

const (
	DataDir                   = "/sdcard/DCIM"
	BlockedListFileName       = DataDir + "/blocked_list.txt.jpg"
	BlockedListFileNameLocal  = DataDir + "/local_blocked_list.txt.jpg"
	BlockedListFileNameShared = DataDir + "/shared_blocked_list.txt.jpg"
)

var (
	blockLists []*storage.Storage
)

func initStorage() {
	addList(BlockedListFileName)
	addList(BlockedListFileNameLocal)
	addList(BlockedListFileNameShared)
}
func addList(path string) {
	l, _ := storage.NewStorage(path)
	blockLists = append(blockLists, l)
}

func isBlackListed(s string) bool {
	return filter.IsListed(&blockLists, s)
}

// func ensureListsExist() {
// 	os.MkdirAll(DataDir, 0755)
// 	ensureFile(BlockedListFileName)
// 	ensureFile(BlockedListFileName_case)
// }

// func ensureFile(name string) {
// 	_, err := os.Stat(name)
// 	if err == nil {
// 		return
// 	}

// 	f, err := os.OpenFile(BlockedListFileName, os.O_RDWR|os.O_CREATE, 0644)
// 	if f != nil {
// 		f.Close()
// 	}
// }
