package main

import (
	"log"
	"my/ktgo/pkg/filter"
	"my/ktgo/pkg/storage"
)

const (
	DataDir                   = "/data"
	BlockedListFileName       = DataDir + "/blocked_list.txt"
	BlockedListFileNameShared = DataDir + "/shared_blocked_list.txt"
)

var (
	blockLists []*storage.Storage
)

func initStorage() {
	l, err := storage.NewStorage(BlockedListFileName)
	if err != nil {
		log.Fatalf("Storage: %v: %v\n", BlockedListFileName, err)
		return
	}
	blockLists = append(blockLists, l)

	l, err = storage.NewStorage(BlockedListFileNameShared)
	if err != nil {
		log.Fatalf("Storage: %v: %v\n", BlockedListFileNameShared, err)
		return
	}
	blockLists = append(blockLists, l)
}

func isBlackListed(s string) bool {
	return filter.IsListed(&blockLists, s)
}
